(function (factory) {
    if (typeof module === 'object' && typeof module.exports === 'object') {
        var v = factory(require, exports); if (v !== undefined) module.exports = v;
    }
    else if (typeof define === 'function' && define.amd) {
        define(["require", "exports", './isSymbol'], factory);
    }
})(function (require, exports) {
    "use strict";
    /*
    * @Author:        taoqf
    * @Date:        2016-06-17 15:47:20
    * @Last Modified by:  taoqf
    * @Last Modified time:  2016-06-17 15:47:20
    * @CopyRight      飞道科技
    */
    const isSymbol_1 = require('./isSymbol');
    /**
     * The base implementation of methods like `_.max` and `_.min` which accepts a
     * `comparator` to determine the extremum value.
     *
     * @private
     * @param {Array} array The array to iterate over.
     * @param {Function} iteratee The iteratee invoked per iteration.
     * @param {Function} comparator The comparator used to compare values.
     * @returns {*} Returns the extremum value.
     */
    function baseExtremum(array, comparator) {
        let index = -1;
        const length = array.length;
        let computed;
        while (++index < length) {
            const value = array[index];
            if (value != null && (computed === undefined
                ? (value === value && !isSymbol_1.default(value))
                : comparator(value, computed))) {
                computed = value;
            }
        }
        return computed;
    }
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.default = baseExtremum;
});
