/*
* @Author:				taoqf
* @Date:				2016-06-15 11:59:02
* @Last Modified by:	taoqf
* @Last Modified time:	2016-06-17 15:54:26
* @CopyRight			飞道科技
*/
(function (factory) {
    if (typeof module === 'object' && typeof module.exports === 'object') {
        var v = factory(require, exports); if (v !== undefined) module.exports = v;
    }
    else if (typeof define === 'function' && define.amd) {
        define(["require", "exports", './_mixin'], factory);
    }
})(function (require, exports) {
    "use strict";
    const _mixin_1 = require('./_mixin');
    /**
     * @module @feidao/core/lodash/clone
     * @example
     * import clone from '@feidao/core/lodash/clone';
     *
     * var objects = [{ 'a': 1 }, { 'b': 2 }];
     *
     * var shallow = clone(objects);
     * console.log(shallow[0] === objects[0]);
     * // => true
     * @see _.clone
    */
    /**
     * Creates a shallow clone of `value`.
     *
     * **Note:** This method is loosely based on the
     * [structured clone algorithm](https://mdn.io/Structured_clone_algorithm)
     * and supports cloning arrays, array buffers, booleans, date objects, maps,
     * numbers, `Object` objects, regexes, sets, strings, symbols, and typed
     * arrays. The own enumerable properties of `arguments` objects are cloned
     * as plain objects. An empty object is returned for uncloneable values such
     * as error objects, functions, DOM nodes, and WeakMaps.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to clone.
     * @returns {*} Returns the cloned value.
     * @see _.cloneDeep
     * @example
     *
     * var objects = [{ 'a': 1 }, { 'b': 2 }];
     *
     * var shallow = _.clone(objects);
     * console.log(shallow[0] === objects[0]);
     * // => true
     */
    function clone(value, isDeep = false) {
        return _mixin_1.default({
            deep: true,
            inherited: false,
            sources: [value],
            target: {}
        });
    }
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.default = clone;
});
