(function (factory) {
    if (typeof module === 'object' && typeof module.exports === 'object') {
        var v = factory(require, exports); if (v !== undefined) module.exports = v;
    }
    else if (typeof define === 'function' && define.amd) {
        define(["require", "exports", './assign'], factory);
    }
})(function (require, exports) {
    "use strict";
    const assign_1 = require('./assign');
    function create(prototype, ...mixins) {
        if (!mixins.length) {
            throw new RangeError('create requires at least one mixin object.');
        }
        const args = mixins.slice();
        args.unshift(Object.create(prototype));
        return assign_1.default.apply(null, args);
    }
    exports.create = create;
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.default = create;
});
